Foreman - Bug #32434

apipie:cache:index warns the cache is out of date
04/27/2021 04:01 PM - Ewoud Kohl van Wijngaarden

Status: Closed
Priority: Normal
Assignee: Ewoud Kohl van Wijngaarden
Category: Rake tasks
Target version: 25.0
Difficulty: Fixed in Releases: 2.5.0
Triaged: No Found in Releases: 2.4.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8474
Description

When you run the rake task apipie:cache:index it prints a message that the cache is out of date:

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

Since this is the command to actually generate that cache, the user shouldn't be bothered with it.

Associated revisions

Revision 7a403146 - 04/28/2021 08:53 AM - Ewoud Kohl van Wijngaarden

Fixes #32434 - Fix warn about oudated apipie cache

When you run the rake task apipie:cache:index it prints a message that
the cache is out of date:

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

Since this is the command to actually generate that cache, the user
shouldn't be bothered with it.

This approach uses Foreman.in_rake? to determine which task runs rather
than parsing ARGV manually.

History

#1 - 04/27/2021 04:12 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8474 added

#2 - 04/28/2021 08:53 AM - The Foreman Bot
- Fixed in Releases 2.5.0 added

#3 - 04/28/2021 09:01 AM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|7a403146340dee6a1d56389b9475614641b39a8a.
